> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 重试投递

> 将某次失败投递中已存储的负载重新发送到该 Webhook 端点。

## 路径参数

<ParamField path="id" type="string" required>
  Webhook 的 UUID。
</ParamField>

<ParamField path="deliveryId" type="string" required>
  来自[投递日志](/api-reference/webhooks/deliveries)的投递 UUID。
</ParamField>

## 行为说明

重新发送投递日志中存储的原始事件负载。重试会使用该 Webhook 当前的 URL 和签名密钥——如果自原始投递以来两者中任一项已发生变更，重试将使用更新后的值。

## 示例

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://www.hitheo.ai/api/v1/webhooks/WEBHOOK_ID/deliveries/DELIVERY_ID/retry \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  // Use the REST API directly — retry is not yet in the SDK
  await fetch(`https://www.hitheo.ai/api/v1/webhooks/${webhookId}/deliveries/${deliveryId}/retry`, {
    method: "POST",
    headers: { Authorization: `Bearer ${apiKey}` },
  });
  ```
</CodeGroup>

### 响应

```json theme={null}
{
  "retried": true,
  "delivery_id": "b5c6d7e8-..."
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.